sonata_admin:
    title: 'NATEA'
    title_logo: admin/img/natea.png
    persist_filters: true
    show_mosaic_button: false
    options:
        lock_protection: true
        use_select2: false
    security:
        handler: sonata.admin.security.handler.role
        role_admin: ROLE_ADMIN
        role_super_admin: ROLE_SUPER_ADMIN
    assets:
        extra_javascripts: 
            - //cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js
            #- //cdn.jsdelivr.net/npm/bootstrap-datepicker@1.10.0/dist/js/bootstrap-datepicker.min.js
            - //cdnjs.cloudflare.com/ajax/libs/datepicker/1.0.10/datepicker.min.js
            - //cdnjs.cloudflare.com/ajax/libs/datepicker/1.0.10/i18n/datepicker.fr-FR.min.js
            - //cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js
            - admin/js/custom.js?v=11
        extra_stylesheets:
            - admin/css/custom.css
            - //cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css
            - //cdnjs.cloudflare.com/ajax/libs/datepicker/1.0.10/datepicker.min.css
            #- //cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css
            #- //cdn.jsdelivr.net/npm/bootstrap-datepicker@1.10.0/dist/css/bootstrap-datepicker3.min.css

            
    dashboard:
        groups:

            reservations: 
                on_top: false
                label: 'Réservations'
                label_catalogue: ~
                icon: '<i class="fa fa-first-order"></i>'
                items:
                    - admin.reservations
                    - admin.reservation_amazight
                    - admin.cheque_cadeaux
                    - admin.resa_abonnement
                    - route: app_navette_aeroport
                      label: Navette aéroport
                      roles: ['ROLE_ADMIN']
                    - admin.archive_reservation
                    - admin.formulaire_contact
                    - admin.reservant

            produits:
                on_top: false
                label: 'Gestion des Produits'
                label_catalogue: ~
                icon: 'fa fa-product-hunt'
                items:
                    - admin.produits
                    - admin.categories
                    - admin.produits_boutique
                    - admin.categories_produit_boutique
                    - admin.abonnement

            management:
                on_top: false
                label: 'Management'
                label_catalogue: ~
                icon: 'fa fa-tasks'
                items:
                    - admin.resource_employer
                    - admin.resource_cabine
                    - admin.type_prescripteur
                    - admin.prescripteur
                    - admin.vente
                    - route: app_vente_programmation
                      label: Programmation
                      roles: ['ROLE_GESTIONNAIRE']
                    - admin.planning
                    - admin.planing_amazight
                    - admin.type_depenses
                    - admin.charges

            statistiques: 
                on_top: false
                label: 'Statistiques'
                label_catalogue: ~
                icon: '<i class="fa fa-bar-chart"></i>'
                items:
                    - route: app_vente_statistique
                      label: Statistiques
                      roles: ['ROLE_ALTERNANCE']

                    - route: app_vente_journal
                      label: Journal de caisses
                      roles: ['ROLE_RECEPTIONNISTE']

                    - route: app_vente_journal_employer
                      label: Statistiques des employés
                      roles: ['ROLE_GESTIONNAIRE']


            ai: 
                on_top: false
                label: 'IA'
                label_catalogue: ~
                icon: '<i class="fa fa-comments-o"></i>'
                items:
                    - admin.chat_gpt_config
                    - admin.chat_gpt
                    - admin.whatsapp_conversations

            parametre:
                label: 'Réglages'
                label_catalogue: ~
                icon: '<i class="fa fa-cogs" aria-hidden="true"></i>'
                items:
                    - admin.duree
                    - admin.tranche_horaire
                    - admin.tarif_hotels
                    - admin.galerie
                    - admin.regle_fermeture
                    - admin.regle_remise
                    - admin.code_promo
                    - admin.pages
                    - admin.translation
                    - admin.variables
                    - admin.product_commission
                    - admin.canaux
                    - admin.slider

            sonata_user:
                on_top: true
                label: 'Utilisateurs'
                label_catalogue: ~
                icon: '<i class="fa fa-user-o"></i>'
                items:
                    - sonata.user.admin.user

        blocks:
            - { type: sonata.admin.block.admin_list, position: left }

sonata_block:
    blocks:
        sonata.admin.block.admin_list:
            contexts: [admin]
